:root {
	/* Header Heights */
	--header-height: 7.5rem;
	--header-height-sticky: 6rem;
	/* Burger Menu */
	--sh-burger-button-width: 3rem;
	--sh-burger-button-height: 3rem;
	--sh-burger-icon-width: 2.25rem;
	--sh-burger-icon-height: 2rem;
	--sh-burger-stroke-width: 1px;
	/* Submenu toggles */
	--nav-submenu-toggle-width: 2rem;
	--nav-submenu-toggle-margin: -1rem;
}

@media only screen and (max-width: 1239px) {
	:root {
		/* Header Heights */
		--header-height: 6rem;
		--header-height-sticky: 5rem;
		/* Submenu toggles */
		--nav-submenu-toggle-width: 3rem;
	}
}

#content {
	min-height: calc(100vh - var(--header-height));
	/* Prevents jumps in the content width if the content is not loaded immediately and the scroll bar is inserted later  */
}

.sh-header {
	display: flex;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	max-width: 100vw;
	z-index: 100;
	transition: height .35s ease, background-color .35s ease, box-shadow .35s ease;
}

.sh-header__inner {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	height: 100%;
	max-width: var(--cw-lg);
	margin: 0 auto;
}

/* ===========================================
  Header placeholder 
  - necessary for smooth transitions
  - position absolute for transparent header
  =========================================== */

.sh-header__placeholder {
	position: relative;
	transition: background-color 0.35s ease;
}

.sh-header,
.sh-header__placeholder {
	height: var(--header-height);
	background-color: var(--clr-white);
}

.sh-header__sticky-placeholder {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: var(--header-height-sticky);
	opacity: 0;
	pointer-events: none;
}

/* ===========================================
  Simple Header - Scroll to anchor links behaviour
  =========================================== */

html {
	scroll-behavior: smooth;
}

@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

#content,
.e-con.e-parent[id],
section[id] {
  scroll-margin-top: var(--header-height-sticky);
}

/* ===========================================
  Simple Sticky Header
  =========================================== */

/*
.sh-header {
	position: fixed;
	top: 0;
}

body.sh-header--sticky .sh-header {
	height: var(--header-height-sticky);
	background-color: var(--clr-accent-2);
}
*/


/* ===========================================
  Sticky Reveal Header
  =========================================== */

/*
body.sh-header--sticky .sh-header {
	position: fixed;
	top: calc(-1 * var(--header-height-sticky));
	margin-top: -.5px;
	height: var(--header-height-sticky);
	transform: translate3d(0, 100%, 0);
	transition: transform .35s ease;
}

.sh-header__placeholder {
	height: calc(4 * var(--header-height));
	margin-bottom: calc(-3 * var(--header-height));
}
*/

/* ===========================================
  Sticky Scroll Direction Header
  =========================================== */

body.sh-header--sticky .sh-header {
	position: fixed;
	height: var(--header-height-sticky);
	top: calc(-1 * var(--header-height-sticky));
	margin-top: -.5px;
	transition: transform .35s ease;
	box-shadow: 0 0 30px rgba(0, 0, 0, 0.1);
}

.sh-header::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
	border-bottom: thin solid var(--clr-black);
	pointer-events: none;
	opacity: 0;
	transition: opacity .5s ease;
	display: none;
}

body.sh-header--sticky .sh-header::after {
	opacity: 1;
}

body.sh-header--sticky:has(.sh-nav__item--has-children.sh-nav__item--active) .sh-header {
	transform: translate3d(0, 100%, 0);
}

body.sh-header--sticky.sh-header--reveal .sh-header {
	transform: translate3d(0, 100%, 0);
}

html.sh-bm-active body.sh-header--sticky .sh-header {
	transform: translate3d(0, 100%, 0);
}

.sh-header__placeholder {
	height: calc(4 * var(--header-height));
	margin-bottom: calc(-3 * var(--header-height));
}

body:not(.sh-header--reveal) #content,
body:not(.sh-header--reveal) .e-con.e-parent[id],
body:not(.sh-header--reveal) section[id] {
  scroll-margin-top: 0px;
}

/* ===========================================
  Logo
  =========================================== */

.sh-header__logo {
	order: 2;
	z-index: 3;
	position: absolute;
	left: 50%;
	transform: translate(-50%, 0);
	overflow: visible;
	border-radius: 50% / 25%;
}

.sh-header__logo-img {
	display: inline-block;
	vertical-align: top;
	width: auto;
	height: 4rem;
	fill: var(--clr-mineral);
	overflow: visible !important;
	transform: rotate3d(0, 0, 0, 0deg);
	transition: fill .35s ease, opacity .35s ease, transform .6s ease;
}

.sh-header__logo:is(:hover,:focus-visible) .sh-header__logo-img {
	transform: rotate3d(0, 1, 0, -360deg);
}

body.sh-header--sticky .sh-header__logo-img {
	transform: scale3d(.85, .85, 1);
}

body.sh-header--sticky .sh-header__logo:is(:hover,:focus-visible) .sh-header__logo-img {
	transform: scale3d(.85, .85, 1) rotate3d(0, 1, 0, -360deg);
}

@media only screen and (min-width: 1240px) {
	.sh-header__logo-img {
		height: 5.15rem;
	}
}

/* ===========================================
   Desktop CTA
=========================================== */

.sh-header__inner > .sh-nav__item--cta {
	order: 3;
}

/* ===========================================
  Menu Items
  =========================================== */

.sh-header__nav {
	display: flex;
	flex-direction: column;
	align-items: stretch;
	justify-content: flex-start;
}

.sh-header__menu {
	display: flex;
	flex-direction: column;
	margin: 0;
	list-style: none;
	width: 100%;
}

.sh-header__menu .sh-nav__item {
	position: relative;
}

.sh-header__menu>.sh-nav__item:not(.sh-fm) {
	display: grid;
	grid-template-columns: 1fr auto;
}

.sh-header__menu .sh-nav__link {
	position: relative;
	display: flex;
	align-items: center;
	padding: .5rem 0;
	color: var(--clr-black);
	border: none;
	background-color: unset;
	transition: color .35s ease, border-color .35s ease, background-color .35s ease;
}

.sh-header__menu .sh-nav__link:hover,
.sh-header__menu .sh-nav__item--has-children.sh-nav__item--active>.sh-nav__link {
	color: var(--clr-accent-1);
}

/* Current Menu Item */
.sh-header__menu [aria-current="page"] {
	color: var(--clr-accent-1);
}

/* Lvl 1 */
.sh-header__menu>.sh-nav__item {
	padding-left: 1rem;
	padding-right: 1rem;
}

.sh-header__menu>.sh-nav__item>.sh-nav__link {
	font-size: var(--fs-1);
}

/* Lvl 2 */
.sh-header__menu>.sh-nav__item>.sh-nav__submenu>.sh-nav__item>.sh-nav__link {
	font-size: var(--fs-1);
}

/* ===========================================
  Menu CTA Button
  =========================================== */

.sh-nav__item--cta {
	display: flex;
	align-items: center;
}

.sh-nav__item--cta>.sh-nav__link {
	display: flex;
	align-items: center;
	color: var(--clr-black);
	border: thin solid var(--clr-accent-1);
	background-color: var(--clr-accent-1);
	border-radius: 2em;
	padding: .7em 1em;
	margin: 0;
	font-size: var(--fs-0);
    line-height: 1.2;
	font-weight: 600;
	transition: color .35s ease, border-color .35s ease, background-color .35s ease;
}

.sh-nav__item--cta span {
	margin-top: .15em;
	margin-bottom: -.15em;
}

.sh-nav__item--cta svg {
	display: inline-block;
	vertical-align: top;
	fill: none;
	stroke: var(--clr-black);
	stroke-width: 1.5;
	margin-left: .45em;
	width: .9em;
	height: auto;
	transition: stroke .35s ease, transform .5s ease;
}

.sh-nav__item--cta>.sh-nav__link:is(:hover,:focus-visible) {
	color: var(--clr-accent-1);
	border-color: var(--clr-black);
	background-color: var(--clr-black);
}

.sh-nav__item--cta>.sh-nav__link:is(:hover,:focus-visible) svg {
	stroke: var(--clr-accent-1);
	transform: translate3d(20%, 0, 0);
}

html.sh-bm-active .sh-nav__item--cta>.sh-nav__link:is(:hover,:focus-visible) {
	color: var(--clr-black);
	border-color: var(--clr-silk);
	background-color: var(--clr-silk);
}

html.sh-bm-active .sh-nav__item--cta>.sh-nav__link:is(:hover,:focus-visible) svg {
	stroke: var(--clr-black);
}

@media only screen and (min-width: 1240px) {
	.sh-header__menu>.sh-nav__item--cta {
		display: none !important;
	}
	.sh-header__inner > .sh-nav__item--cta svg:last-child {
		display: none;
	}
}

@media only screen and (max-width: 1239px) {
	.sh-header__inner > .sh-nav__item--cta span,
	.sh-header__inner > .sh-nav__item--cta svg:not(:last-child) {
		display: none !important;
	}
	.sh-header__inner > .sh-nav__item--cta .sh-nav__link {
		padding: 0;
		margin: 0;
		width: 2.75rem;
		height: 2.75rem;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	.sh-header__inner > .sh-nav__item--cta svg:last-child {
		display: block;
		width: 1.5rem;
		height: 1.5rem;
		margin: .1rem 0 0;
		transform: none !important;
	}
	.sh-header__inner > .sh-nav__item--cta svg:last-child path {
		stroke-width: 1 !important;
	}
	.sh-header__menu>.sh-nav__item--cta {
		margin-top: 1.5rem;
		padding-left: 0 !important;
		margin-left: -.5rem !important;
	}
	.sh-header__menu>.sh-nav__item--cta .sh-nav__link {
		font-size: 1.25rem !important;
		font-weight: 600 !important;
		margin-right: auto !important;
	}
}

@media only screen and (max-width: 1023px) and (min-width: 768px) {
	.sh-header__menu>.sh-nav__item--cta .sh-nav__link {
		font-size: 1.15rem !important;
	}
}

@media only screen and (max-width: 767px) {
	.sh-header__menu>.sh-nav__item--cta {
		margin-bottom: 1rem;
	}
	.sh-header__menu>.sh-nav__item--cta .sh-nav__link {
		font-size: var(--fs-1) !important;
	}
}


/* ===========================================
  Menu Contact Data
  =========================================== */

.sh-header__contact {
	display: flex;
	flex-wrap: wrap;
	text-align: right;
	justify-content: flex-end;
}

.sh-header__contact a {
	color: var(--clr-white);
}

.sh-header__contact-sep {
	color: var(--clr-white);
	margin: 0 .5em;
}

.sh-header__contact a:is(:hover,:focus-visible) {
	color: var(--clr-accent-1);
}

@media only screen and (max-width: 767px) {
	.sh-header__contact-sep {
		display: none;
	}
}

/* ===========================================
  Menu Social Links
  =========================================== */

.sh-socials,
.sh-socials__item,
.sh-socials__link {
	display: flex;
	align-items: center;
	list-style: none;
}

.sh-socials__item,
.sh-socials__link {
	flex-direction: column;
}

.sh-socials__item {
	padding: 0 !important;
	margin-bottom: 0 !important;
}

.sh-socials__item::before {
	display: none !important;
}

.sh-socials__item:not(:first-child) {
	margin-left: .25rem;
}

.sh-socials__item:not(:last-child) {
	margin-right: .25rem;
}

.sh-socials__link {
	padding: .5rem;
	border-radius: 50%;
	border: thin solid var(--clr-white);
	background-image: none !important;
	transition: border-color .35s ease, background-color .35s ease;
}

.sh-socials__icon {
	width: 1rem;
	height: auto;
	fill: var(--clr-white);
	transition: fill .35s ease;
}

.sh-socials__link:is(:hover,:focus-visible) {
	border-color: var(--clr-accent-1);
	background-color: var(--clr-accent-1);
}

.sh-socials__link:is(:hover,:focus-visible) .sh-socials__icon {
	fill: var(--clr-black);
}

/* ===========================================
   Menu Image
=========================================== */

.sh-header__menu-img {
	display: flex;
	align-items: center;
	justify-content: center;
	order: -1;
	width: 100%;
}

.sh-header__menu-img img {
	width: 23rem;
	height: auto;
	border-radius: 33% / 23%;
	overflow: hidden;
	max-width: 100%;
}

.sh-header__menu-wrapper {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	flex-grow: 1;
	align-items: center;
}


@media only screen and (min-width: 768px) {
	.sh-header__menu-img,
	.sh-header__menu {
		width: 50%;
	}
}

@media only screen and (max-width: 1239px) and (min-width: 1024px) {
	.sh-header__menu-img {
		width: 46%;
	}
	.sh-header__menu {
		width: 54%;
	}
	.sh-header__menu-img img {
		width: 18rem;
	}
}

@media only screen and (max-width: 1023px) and (min-width: 768px) {
	.sh-header__menu-img {
		width: 50%;
	}
	.sh-header__menu {
		width: 50%;
	}
	.sh-header__menu-img img {
		width: 18rem;
	}
}

@media only screen and (max-width: 767px) {
	.sh-header__menu-img {
		display: none;
		width: 33.33%;
		margin-left: 1.5rem;
		margin-bottom: 2rem;
	}
	.sh-header__menu {
		width: 100%;
		padding-left: 2.5rem !important;
		margin-top: auto;
		margin-bottom: auto;
	}
}

/* ===========================================
   Menu Footer
=========================================== */

.sh-header__menu-footer {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

/* ===========================================
  Sub Menus
  =========================================== */

.sh-header__menu .sh-nav__submenu,
.sh-header__menu .sh-nav__submenu-list {
	margin: 0;
	list-style: none;
}

.sh-header__menu>.sh-nav__item>.sh-nav__submenu {
	width: 100%;
	grid-row: 2;
	grid-column: 1 / -1;
}

/* Sub Menus - Open and Close Animation - Can be done without 
 * grid trick in future if browser support is well enough
 * See https://developer.chrome.com/docs/css-ui/animate-to-height-auto
 * Then also the wrapper for default submenus can be removed */
.sh-header__menu > .sh-nav__item--has-children > .sh-nav__submenu {
	display: grid;
	height: auto !important;
	overflow: hidden;
	opacity: 0;
	visibility: hidden;
	grid-template-rows: 0fr;
	transition: grid-template-rows .35s ease, opacity .35s ease, visibility 0s linear .35s;
}
.sh-nav__item--has-children > .sh-nav__submenu > .sh-mm__inner,
.sh-nav__item--has-children > .sh-nav__submenu > .sh-fm__inner,
.sh-nav__item--has-children > .sh-nav__submenu > .sh-nav__submenu-list {
	overflow: hidden;
}
.sh-nav__item--has-children.sh-nav__item--active > .sh-nav__submenu,
.sh-nav__item--has-children.sh-fm-active > .sh-nav__submenu {
	opacity: 1;
	visibility: visible;
	grid-template-rows: 1fr;
	transition: grid-template-rows .35s ease, opacity .35s ease, visibility 0s linear 0s;
}

/* ===========================================
  Sub Menus - Toggle Icons
  =========================================== */

.sh-nav__submenu-toggle {
	display: flex;
	justify-self: flex-end;
	align-items: center;
	justify-content: flex-end;
	margin: 0;
	align-self: stretch;
	z-index: 1;
	background-color: unset;
	border: unset;
	padding: 0;
	margin-left: var(--nav-submenu-toggle-margin);
}

.sh-nav__submenu-toggle-icon {
	width: var(--nav-submenu-toggle-width);
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: visible;
	transform: scale3d(1, 1, 1);
	transition: transform .35s ease;
}

.sh-nav__item.sh-nav__item--active .sh-nav__submenu-toggle-icon {
	transform: scale3d(1, -1, 1);
}

.sh-nav__submenu-toggle-svg {
	width: 1.2rem;
	height: .7rem;
	fill: none;
	stroke: var(--clr-white);
	stroke-miterlimit: 10;
	stroke-width: 1.5px;
	overflow: visible !important;
	transition: stroke .35s ease;
}

.sh-nav__item.sh-nav__item--active .sh-nav__submenu-toggle-svg {
	stroke: var(--clr-accent-1);
}

/* Toggle Icons if menu link is div */
span.sh-nav__link,
span.sh-nav__link + .sh-nav__submenu-toggle {
	grid-column: 1;
	grid-row: 1;
}

span.sh-nav__link:not(:last-child) {
	margin-right: calc(var(--nav-submenu-toggle-width) + var(--nav-submenu-toggle-margin));
}

span.sh-nav__link + .sh-nav__submenu-toggle {
	margin-left: 0;
	justify-self: stretch;
}

/* ===========================================
  Mobile Menu
  =========================================== */

html.sh-fm-active,
html.sh-bm-active {
	overflow: hidden;
	/* Prevent page scroll while mobile menu or fullscreen menu is active */
}

html.sh-fm-active,
html.sh-bm-active,
html.sh-fm-active .sh-header--sticky .sh-header,
html.sh-bm-active .sh-header--sticky .sh-header {
	max-width: calc(100vw - var(--sb-width));
	/* Set margin and max-width to compensate for scrollbar width */
	margin-left: 0;
}

.sh-header__nav {
	position: fixed;
	top: 0;
	left: 0;
	width: 0;
	max-width: 100vw;
	height: 100vh;
	height: 100dvh;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
	background-color: var(--clr-accent-2);
	opacity: 0;
	visibility: hidden;
	transition: opacity .45s ease, transform .45s ease, width 0s linear .45s, visibility 0s linear .45s;
}

html.sh-bm-active .sh-header__nav {
	width: 100vw;
	visibility: visible;
	opacity: 1;
	transform: translate3d(0, 0, 0);
	transition: opacity .45s ease, transform .45s ease, width 0s linear 0s, visibility 0s linear 0s;
}

.sh-header__inner::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 100vh;
    background-image: url(/wp-content/uploads/2026/07/ek-signet-silk.svg);
    background-position: center 10%;
    background-repeat: no-repeat;
    background-size: auto 200%;
    z-index: 10;
    pointer-events: none;
    opacity: 0;
    transition: opacity .35s ease;
}

html.sh-bm-active .sh-header__inner::after {
    opacity: .03;
}

/* Mobile Top Bar */
.sh-header__nav-mobile-top-bar {
	background-color: var(--clr-accent-2);
	position: sticky;
	top: 0;
	padding: .5rem 5rem .5rem 1rem;
	/* padding-right depending on close-button-width */
	margin-bottom: 1.5rem;
	display: flex;
	align-items: center;
	min-height: var(--header-height);
	z-index: 2;
}

body.sh-header--sticky .sh-header__nav-mobile-top-bar {
	min-height: var(--header-height-sticky);
}

/* Mobile Menu Items */
.sh-header__menu .sh-nav__submenu .sh-nav__item:last-child {
	margin-bottom: 1rem;
}

.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
	width: 100%;
}

.sh-header__menu>.sh-nav__item>a.sh-nav__link + .sh-nav__submenu-toggle {
	margin-left: calc(-1 * var(--nav-submenu-toggle-width));
	margin-left: 0;
}

.sh-header__menu>.sh-nav__item span.sh-nav__link + .sh-nav__submenu-toggle {
	justify-self: stretch;
	border-top: none;
}

.sh-bm-active .sh-header__logo-img,
.sh-bm-active .sh-toggle__line,
.sh-header__contact .sh-contact {
	color: var(--clr-white) !important;
	fill: var(--clr-white);
	border-color: var(--clr-white);
}

.sh-header__menu>.sh-nav__item,
.sh-header__contact,
.sh-header__socials {
	padding-left: 1.5rem;
	padding-right: 1.5rem;
}

.sh-header__contact .sh-contact,
.sh-header__socials .sh-socials {
	padding: 1.5rem 0;
}

/* Lvl 1 */
.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
	color: var(--clr-white);
	margin: 0;
	padding-top: 0;
	padding-bottom: 0;
	font-size: 3.15rem;
	line-height: 1.48em;
	font-weight: 100;
	letter-spacing: 2%;
}

.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link:is(:hover,:focus-visible) {
	color: var(--clr-accent-1);
}

.sh-header__menu>.sh-nav__item--active.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
	color: var(--clr-accent-1);
}

.sh-header__menu {
	counter-reset: sh-menu;
	padding-left: .5rem;
}

.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link::before {
	counter-increment: sh-menu;
	content: '0' counter(sh-menu);
	position: absolute;
	top: .75em;
	right: 100%;
	color: var(--clr-white);
	font-size: .27em;
	line-height: 1em;
	letter-spacing: 2%;
	font-weight: 200;
	text-align: right;
	min-width: 1.25em;
	margin-right: 1.25em;
}

@media only screen and (max-width: 1399px) and (min-width: 1240px) {
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
		font-size: 2.75rem;
	}
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link::before {
		font-size: .285em;
	}
}

@media only screen and (max-width: 1239px) and (min-width: 768px) {
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
		font-size: 2.5rem;
	}
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link::before {
		font-size: .3em;
	}
}

@media only screen and (max-width: 1023px) and (min-width: 768px) {
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
		font-size: 2.25rem;
		line-height: 1.2em;
		padding-top: .15em;
		padding-bottom: .15em;
	}
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link::before {
		font-size: .35em;
	}
}

@media only screen and (max-width: 767px) {
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
		font-size: 1.95rem;
		line-height: 1.2em;
		padding-top: .25em;
		padding-bottom: .25em;
	}
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link::before {
		font-size: .45em;
		top: .9em;
	}
}

@media only screen and (max-width: 399px) {
	.sh-header__menu>.sh-nav__item:not(.sh-nav__item--cta)>.sh-nav__link {
		font-size: 1.8rem;
	}
}

/* Lvl 2 */
.sh-nav__item--lvl-2 .sh-nav__link {
	color: var(--clr-white);
	opacity: .5;
	padding-left: 1rem;
}

/* Mobile Overlay */
.sh-header__nav-mobile-overlay {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 100%;
	background-color: var(--clr-black);
	z-index: -1;
	opacity: 0;
	pointer-events: none;
	transition: opacity .35s ease, height 0s ease .35s;
}

html.sh-bm-active .sh-header__nav-mobile-overlay {
	opacity: .5;
	height: 100vh;
	height: 100dvh;
	pointer-events: all;
	transition: opacity .35s ease, height 0s ease 0s;
}

.sh-header__logo,
.sh-header__inner > .sh-nav__item--cta {
	z-index: 12;
}

.sh-header__nav-mobile-toggle {
	z-index: 11;
	display: flex;
	align-items: center;
	justify-content: flex-start;
}

.sh-header__nav {
	z-index: 10;
}

.sh-header__nav-mobile-overlay {
	z-index: 9;
}

/* ===========================================
  Mobile Menu - Fade-In Menu Items
  =========================================== */

.sh-header__nav .sh-header__languages-nav .sh-header__languages-label,
.sh-header__nav .sh-header__languages-nav .sh-nav__item,
.sh-header__menu>.sh-nav__item,
.sh-header__contact,
.sh-header__socials .sh-socials__item,
.sh-header__menu-img {
	opacity: 0;
	transform: translate3d(0, 1rem, 0);
	transition: opacity 0s ease .35s, transform 0s ease .35s;
}

html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-header__languages-label,
html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-nav__item,
html.sh-bm-active .sh-header__menu>.sh-nav__item,
html.sh-bm-active .sh-header__contact,
html.sh-bm-active .sh-header__socials .sh-socials__item,
html.sh-bm-active .sh-header__menu-img {
	opacity: 1;
	transform: translate3d(0, 0, 0);
	transition: opacity .35s ease .25s, transform .35s ease .25s;
}

html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-header__languages-label,
html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(1),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(1),
html.sh-bm-active .sh-header__menu-img {
	transition-delay: .25s;
}

html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-nav__item:nth-child(1),
html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(2),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(2) {
	transition-delay: .35s;
}

html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-nav__item:nth-child(2),
html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(3),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(3) {
	transition-delay: .45s;
}

html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-nav__item:nth-child(3),
html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(4),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(4) {
	transition-delay: .55s;
}

html.sh-bm-active .sh-header__nav .sh-header__languages-nav .sh-nav__item:nth-child(4),
html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(5),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(5) {
	transition-delay: .65s;
}

html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(6),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(6) {
	transition-delay: .75s;
}

html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(7),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(7) {
	transition-delay: .85s;
}

html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(8),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(8) {
	transition-delay: .95s;
}

html.sh-bm-active .sh-header__menu>.sh-nav__item:nth-child(9),
html.sh-bm-active .sh-header__socials .sh-socials__item:nth-child(9) {
	transition-delay: 1.05s;
}

/* ===========================================
  Menu Toggles - Burger Menu and Fullscreen Menu
  =========================================== */

.sh-toggle {
	position: relative;
	cursor: pointer;
	width: var(--sh-burger-button-width);
	height: var(--sh-burger-button-height);
	margin: 0 calc(-.5 * (var(--sh-burger-button-width) - var(--sh-burger-icon-width)));
	background-color: unset;
	border: unset;
	border-radius: 10%;
}

.sh-toggle__line {
	position: absolute;
	left: calc(50% - (.5 * var(--sh-burger-icon-width)));
	width: var(--sh-burger-icon-width);
	border-bottom: var(--sh-burger-stroke-width) solid var(--clr-black);
}

.sh-toggle__line--1 {
	top: calc(50% - (var(--sh-burger-icon-height) /2));
}

.sh-toggle__line--2 {
	top: 50%;
	margin-top: -.5px;
}

.sh-toggle__line--3 {
	bottom: calc(50% - (var(--sh-burger-icon-height) /2));
}

.sh-toggle:hover .sh-toggle__line {
	border-color: var(--clr-accent-1);
}

/* Open and Close animation */
.sh-toggle__line--1,
.sh-toggle__line--3 {
	transition: transform .25s ease 0s, margin .2s ease .25s, border-color .3s ease 0s;
}

.sh-toggle--active .sh-toggle__line--1,
.sh-toggle--active .sh-toggle__line--3 {
	transition: transform .2s ease .25s, margin .25s ease 0s, border-color .3s ease 0s;
}

.sh-toggle--active .sh-toggle__line--1 {
	margin-top: calc((var(--sh-burger-icon-height)/2) - (.5 * var(--sh-burger-stroke-width)));
	transform: rotate(-45deg) scale3d(1, 1, 1);
}

.sh-toggle--active .sh-toggle__line--3 {
	margin-bottom: calc((var(--sh-burger-icon-height)/2) - (.25 * var(--sh-burger-stroke-width)));
	transform: rotate(45deg) scale3d(1, 1, 1);
}

.sh-toggle__line--2 {
	transition: opacity .25s ease .25s, border-color .3s ease 0s;
}

.sh-toggle--active .sh-toggle__line--2 {
	opacity: 0;
	transition: opacity .25s ease 0s, border-color .3s ease 0s;
}

/* ===========================================
  Miscellaneous
  =========================================== */

html.sh-bm-active #sh-sidebar__toggles {
	opacity: 0;
	transform: translate3d(100%, 0, 0);
}

.sh-nav__item .wp-grid-builder {
	z-index: 0;
}

/* ===========================================
   Language Switcher
=========================================== */

.sh-header__languages-nav {
   margin-right: auto;
   margin-left: 2.5rem;
   z-index: 11;
}

.sh-header__languages-menu {
   list-style: none;
   margin: 0;
   padding: 0;
   display: flex;
   justify-content: flex-start;
   align-items: center;
   gap: .75rem;
}

.sh-header__languages-menu .sh-nav__item {
   font-size: var(--fs-0);
}

.sh-header__languages-menu .sh-nav__link {
   display: inline-block;
   font-size: .9em !important;
   font-weight: 600;
   border-radius: 50%;
   width: 2.4em;
   height: 2.4em;
   aspect-ratio: 1/1;
   line-height: 2.55em;
   text-align: center;
   color: var(--clr-mineral);
   border: thin solid var(--clr-mineral);
   background-color: transparent;
   transition: color .35s ease, border-color .35s ease, background-color .35s ease;
}

.sh-header__languages-menu .current-lang .sh-nav__link {
   color: var(--clr-silk);
   border-color: var(--clr-mineral);
   background-color: var(--clr-mineral);
}

.sh-header__languages-menu .lang-item:not(.current-lang) .sh-nav__link:is(:hover,:focus-visible) {
   color: var(--clr-black);
   border-color: var(--clr-sunset);
   background-color: var(--clr-sunset);
}

html.sh-bm-active .sh-header__languages-menu .sh-nav__link {
   color: var(--clr-silk);
   border: thin solid var(--clr-silk);
}

html.sh-bm-active .sh-header__languages-menu .current-lang .sh-nav__link {
   color: var(--clr-black);
   border-color: var(--clr-silk);
   background-color: var(--clr-silk);
}

html.sh-bm-active .sh-header__languages-menu .lang-item:not(.current-lang) .sh-nav__link:is(:hover,:focus-visible) {
   color: var(--clr-black);
   border-color: var(--clr-sunset);
   background-color: var(--clr-sunset);
}

@media only screen and (min-width: 768px) {
	.sh-header__nav > .sh-header__languages-nav {
		display: none !important;
	}
}

@media only screen and (max-width: 767px) {
	.sh-header__inner > .sh-header__languages-nav {
		display: none !important;
	}
   .sh-header__languages-nav {
		margin: 0 !important;
		border-top: thin solid rgba(223, 217, 203, .15);
		border-bottom: thin solid rgba(223, 217, 203, .15);
		width: 100%;
		padding: 1rem 1.5rem;
		display: flex; 
		justify-content: space-between;
		align-items: center;
   }
   .sh-header__languages-menu {
		gap: .5rem;
   }
	.sh-header__languages-label {
		color: var(--clr-white);
		font-size: var(--fs-1);
		line-height: 1em ;
		font-weight: 400;
		margin-right: auto;
		margin-top: .15em;
	}
	.sh-header__menu-footer {
		padding: 1rem 0 !important;
	}
	.sh-header__menu-footer .sh-socials {
		padding: 0 !important;
	}
	.sh-header__menu-wrapper {
		padding-bottom: 1.5rem;
		padding-top: 1.75rem;
	}
	.sh-header__nav-mobile-top-bar {
		margin-bottom: 0 !important;
		border-bottom: thin solid rgba(223, 217, 203, .15);
	}
	.sh-header .sh-socials__link {
		padding: .59rem !important;
	}
}

/* ===========================================
   Header Dark Color Scheme
=========================================== */

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) #content,
body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header,
body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__placeholder {
	background-color: var(--clr-black);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-toggle__line {
	border-color: var(--clr-white);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__logo-img {
	fill: var(--clr-gold);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__inner > .sh-header__languages-nav .sh-nav__link {
	color: var(--clr-clam);
	border-color: var(--clr-clam);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__inner > .sh-header__languages-nav .current-lang .sh-nav__link {
	color: var(--clr-black);
	border-color: var(--clr-clam);
	background-color: var(--clr-clam);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__inner > .sh-header__languages-nav .lang-item:not(.current-lang) .sh-nav__link:is(:hover,:focus-visible) {
   color: var(--clr-black);
   border-color: var(--clr-sunset);
   background-color: var(--clr-sunset);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) #masthead button,
body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) #masthead a {
	outline-color:  var(--clr-white) !important;
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__inner > .sh-nav__item--cta>.sh-nav__link:is(:hover,:focus-visible) {
	color: var(--clr-black);
	border-color: var(--clr-clam);
	background-color: var(--clr-clam);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-header__inner > .sh-nav__item--cta>.sh-nav__link:is(:hover,:focus-visible) svg {
	stroke: var(--clr-black);
}

/* Footer */
body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer {
	background-color: var(--clr-black);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer span,
body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer a,
body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer p {
	color: var(--clr-white);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer a {
	background-image: linear-gradient(var(--clr-accent-1), var(--clr-accent-1));	
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer a:is(:hover,:focus-visible) {
	color: var(--clr-sunset);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer .sh-copyright__sep {
	border-color: var(--clr-white);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer .sh-footer__logo {
	fill: var(--clr-gold);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer .sh-socials__link {
	border-color: var(--clr-white);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer .sh-socials__icon {
	fill: var(--clr-white);
}


body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer .sh-socials__link:is(:hover,:focus-visible) {
	border-color: var(--clr-sunset);
	background-color: var(--clr-sunset);
}

body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer .sh-socials__link:is(:hover,:focus-visible) .sh-socials__icon {
	fill: var(--clr-black);
}

@media only screen and (max-width: 767px) {
	body:has(:is(.elementor-section-wrap,[data-elementor-id])>.e-con.u-dark:first-child) .sh-footer__widget:not(.sh-footer__widget--logo):not(.sh-footer__widget--socials) {
		border-top: thin solid rgba(255, 255, 255, .1);
	}
}